import processing.serial.*;
Serial myPort;

int[] grid = {0,0,0,0,0,0,0,0,0};

void setup()
{
  size(400,400);
  myPort = new Serial(this, Serial.list()[2], 9600);
  myPort.bufferUntil('\n');
  
  strokeWeight(5);
  translate(10,10);

  //Draw board
  line(0,125,375,125);
  line(0,250,375,250);
  line(125,0,125,375);
  line(250,0,250,375);

}

void serialEvent(Serial myPort)
{
   String inString = myPort.readStringUntil('\n');
  println("Value Read: " + inString);
   if(inString != null)
   {
     grid = int(split(inString, ","));
     //drawShapes();
   }
}

void draw(){
if(grid[0] == 1){
  fill(0,0,255);//Blue
  ellipse(70,70,80,80);//top left
} else if(grid[0] == 2) {
  fill(255,0,0);//Red
  rect(30,30,80,80);//top left
}

if(grid[1] == 1){
  fill(0,0,255);//Blue
  ellipse(196,70,80,80);//top middle
} else if(grid[1] == 2) {
  fill(255,0,0);//Red
  rect(156,30,80,80);//top middle
}

if(grid[2] == 1){
  fill(0,0,255);
  ellipse(325,70,80,80);//top right
} else if(grid[2] == 2) {
  fill(255,0,0);
  rect(285,30,80,80);//top right
}

if(grid[3] == 1){
  fill(0,0,255);
  ellipse(70,196,80,80);//left middle
} else if(grid[3] == 2) {
  fill(255,0,0);
  rect(30,156,80,80);//left middle
}

if(grid[4] == 1){
  fill(0,0,255);
  ellipse(196,196,80,80);//middle
} else if(grid[4] == 2) {
  fill(255,0,0);
  rect(156,156,80,80);//middle
}

if(grid[5] == 1){
  fill(0,0,255);
  ellipse(325,196,80,80);//right middle
} else if(grid[5] == 2) {
  fill(255,0,0);
  rect(285,156,80,80);//right middle
}

if(grid[6] == 1){
  fill(0,0,255);
  ellipse(70,325,80,80);//bottom left
} else if(grid[6] == 2) {
  fill(255,0,0);
  rect(30,285,80,80);//bottom left
}

if(grid[7] == 1){
  fill(0,0,255);
  ellipse(196,325,80,80);//bottom middle
} else if(grid[7] == 2) {
  fill(255,0,0);
  rect(156,285,80,80);//bottom middle
}
if(grid[8] == 1){
  fill(0,0,255);
  ellipse(325,325,80,80);//bottom right
} else if(grid[8] == 2) {
  fill(255,0,0);
  rect(285,285,80,80);//bottom right
}
}